MySQL 5.6 és Backup and Migrate

Nemrég egy szervert Ubuntu 14.04 LTS-re váltottunk és így felkerült a MySQL 5.6, gondoltam, hogy miért ne lehetne felrakni a legújabbat, nem szokott semmi inkompatibilitás lenni, maximum nem használjuk ki az új lehetőségeket. Egy apróság azért kijött, amire nem is számítottam. A Drupal Backup and Migrate dumpokba belekerül egy warning üzenet ("Warning: Using a password on the command line interface can be insecure.") arról, hogy nem kéne direktben átadni a jelszót, ami kikapcsolhatatlan.
Mit lehet tenni? A mysql-client csomag külön nem downgrade-elhető, így maradt egy kis wrapper a mysqldump köré, a mysqldump binárist meg átnevezni mysqdump-bin-re:

#!/bin/bash
/usr/bin/mysqldump-bin "$@" 2> >(grep -v "insecure" >&2)

Jó megoldás? Nem. Eltörhet apt-get update-kor? El bizony. Tud valaki jobbat? Írja meg kommentben :)

Percona-val ugyanez lenne a helyzet: https://bugs.launchpad.net/percona-server/+bug/1267194

Hozzászólások